Bug 249245 - Upgrading to 2.6.22.1-27.fc7 remove the hibernate option
Upgrading to 2.6.22.1-27.fc7 remove the hibernate option
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kdeutils (Show other bugs)
7
i386 Linux
low Severity high
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-23 05:08 EDT by Antonio Bulgheroni
Modified: 2008-05-14 10:16 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-14 10:16:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 148928 None None None Never

  None (edit)
Description Antonio Bulgheroni 2007-07-23 05:08:43 EDT
Description of problem:
After the kernel upgrade to 2.6.22.1-27.fc7 the hibernate command from the KDE
laptop module disappears.  Moreover suspend is not always working.

Version-Release number of selected component (if applicable):
kernel-2.6.22.1-27.fc7
kernel-headers-2.6.22.1-27.fc7
kernel-devel-2.6.22.1-27.fc7


How reproducible:
Always on my Dell Latitude D610

Steps to Reproduce:
1. Boot in the kernel-2.6.22.1-27.fc7.
2. Login in KDE
3. Right click on the klaptop icon on the tray bar
4. The hibernate option is not there!

  
Actual results:
The hibernate option is not there anymore, while, if I boot into the previous
kernel the option is still there.

Expected results:
An option to hibernate the system.

Additional info:
My hw configuration is available here:
http://smolt.fedoraproject.org/show?UUID=79c5cde9-84c3-4bf3-8758-61722a405b9a
Comment 1 Eli 2007-08-12 15:13:25 EDT
"hibernate command from the KDE laptop module disappears"

Same here on FC6 kernel-2.6.22.1-32.fc6 for BOTH a Dell D620 AND a Toshiba 
Satellite A45-S120.

Hibernate worked on the previous kernel for both machines: 
kernel-2.6.20-1.2962.fc6
Comment 2 Eli 2007-08-30 20:54:41 EDT
Hibernate is still unavailable with kernel-2.6.22.2-42.fc6
Comment 3 Antonio Bulgheroni 2007-08-31 03:31:21 EDT
True as well with 2.6.22.4-65.fc7. It looks like it is not supported anymore!
But the nice thing is that suspend is instead working better.
Comment 4 Sergio Monteiro Basto 2007-09-15 21:14:33 EDT
I had some issue here klaptop don't show hibernate option anymore ! This hapens
after upgrade the kernels I don't recall the number for sure but 2.6.21 or 2.6.22  
Comment 5 Christopher Brown 2007-09-20 07:07:51 EDT
Can you run the pm-hibernate command from the command line?
Comment 6 Antonio Bulgheroni 2007-09-20 07:24:06 EDT
yeap I can and it works

What should I do to add it to the klaptop applet? 

Comment 7 Christopher Brown 2007-09-20 07:31:37 EDT
I'm not a kde user I'm afraid - toggling the shift or control keys may work but
I'll re-assign this as it is not a kernel issue and no doubt the relevant
maintainer can help you out.

Cheers
Chris
Comment 8 Chuck Ebbert 2007-09-20 11:16:12 EDT
(In reply to comment #7)
> I'm not a kde user I'm afraid - toggling the shift or control keys may work but
> I'll re-assign this as it is not a kernel issue and no doubt the relevant
> maintainer can help you out.
> 

You assigned it to the reporter.  :)
Comment 9 Christopher Brown 2007-09-20 11:38:19 EDT
Sorry for the noise Chuck. All the bugs are starting to merge into one...
Comment 10 Rex Dieter 2007-11-17 17:57:57 EST
There's a reason that klaptop isn't installed in fedora by default.  :)
If you have issues with it, I'd recommend taking them to upstream kde @
bugs.kde.org.  When/if you do, please let us know, so that we can continue to
track the issue.

Otherwise, my only suggestion(s) would be to use kpowersaver (or
gnome-power-manager), that properly support dbus/pm-utils
Comment 11 Sergio Monteiro Basto 2007-11-17 18:33:37 EST
I think this is the bug on upstream kde 
http://bugs.kde.org/show_bug.cgi?id=148928

even the report have a patch suggestion 
Comment 12 Sergio Monteiro Basto 2008-02-24 19:46:49 EST
still happens on fedora 8 
Comment 13 Bug Zapper 2008-05-14 09:37:53 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Rex Dieter 2008-05-14 10:16:49 EDT
should be fixed in kdeutils-3.5.9 (which includes upstream patch)

Note You need to log in before you can comment on or make changes to this bug.